# $Revision: 1.20 $, $Date: 2012/02/01 12:12:40 $
Summary:	Easy Publish and Consume library
Name:		libepc
Version:	0.4.4
Release:	1
License:	LGPL v2+
Group:		Libraries
Source0:	http://ftp.gnome.org/pub/GNOME/sources/libepc/0.4/%{name}-%{version}.tar.xz
# Source0-md5:	25c982b719af6533955a1190408e15af
URL:		http://live.gnome.org/libepc
BuildRequires:	autoconf >= 2.63
BuildRequires:	automake >= 1:1.10.3
BuildRequires:	avahi-devel >= 0.6
BuildRequires:	avahi-glib-devel >= 0.6
BuildRequires:	avahi-ui-gtk3-devel >= 0.6
BuildRequires:	docbook-dtd412-xml
BuildRequires:	gettext-devel
BuildRequires:	glib2-devel >= 1:2.16.0
BuildRequires:	gnome-common >= 2.20.0
BuildRequires:	gnutls-devel >= 1.4
BuildRequires:	gtk+3-devel >= 3.0.0
BuildRequires:	gtk-doc >= 1.4
BuildRequires:	intltool >= 0.36.0
BuildRequires:	libsoup-devel >= 2.4.0
BuildRequires:	libtool >= 2:2.2.6
BuildRequires:	libuuid-devel >= 1.36
BuildRequires:	pkgconfig >= 1:0.14
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The Easy Publish and Consume library provides an easy method to:
- publish data using HTTPS
- announce that information via DNS-SD
- find that information
- and finally consume it

This library can be used as key/value store published to the network,
using encryption, authentication and service discovery.

%package devel
Summary:	Header files for libepc library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libepc
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	avahi-glib-devel >= 0.6
Requires:	gnutls-devel >= 1.4
Requires:	libsoup-devel >= 2.4.0

%description devel
Header files for libepc library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki libepc.

%package static
Summary:	Static libepc library
Summary(pl.UTF-8):	Statyczna biblioteka libepc
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static libepc library.

%description static -l pl.UTF-8
Statyczna biblioteka libepc.

%package ui
Summary:	Widgets for libepc
Group:		X11/Libraries
Requires:	%{name} = %{version}-%{release}

%description ui
Widgets for use with libepc.

%package ui-devel
Summary:	Header files for libepc-ui library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libepc-ui
Group:		X11/Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}
Requires:	%{name}-ui = %{version}-%{release}
Requires:	gtk+2-devel >= 2:2.12.8

%description ui-devel
Header files for libepc-ui library.

%description ui-devel -l pl.UTF-8
Pliki nagłówkowe biblioteki libepc-ui.

%package ui-static
Summary:	Static libepc-ui library
Summary(pl.UTF-8):	Statyczna biblioteka libepc-ui
Group:		X11/Development/Libraries
Requires:	%{name}-ui-devel = %{version}-%{release}

%description ui-static
Static libepc-ui library.

%description ui-static -l pl.UTF-8
Statyczna biblioteka libepc-ui.

%package apidocs
Summary:	libepc library API documentation
Summary(pl.UTF-8):	Dokumentacja API biblioteki libepc
Group:		Documentation
Requires:	gtk-doc-common

%description apidocs
libepc library API documentation.

%description apidocs -l pl.UTF-8
Dokumentacja API biblioteki libepc.

%package examples
Summary:	libepc - example programs
Summary(pl.UTF-8):	libepc - przykładowe programy
License:	Public Domain
Group:		Development/Libraries

%description examples
libepc - example programs.

%description examples -l pl.UTF-8
libepc - przykładowe programy.

%prep
%setup -q

%build
%{__gtkdocize}
%{__intltoolize}
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--enable-static \
	--enable-gtk-doc \
	--with-html-dir=%{_gtkdocdir}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

cp examples/*.c $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%{__rm} $RPM_BUILD_ROOT%{_libdir}/*.la

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{_libdir}/libepc-1.0.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libepc-1.0.so.3

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libepc-1.0.so
%{_includedir}/libepc-1.0
%{_pkgconfigdir}/libepc-1.0.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libepc-1.0.a

%files ui
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libepc-ui-1.0.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libepc-ui-1.0.so.3

%files ui-devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libepc-ui-1.0.so
%{_includedir}/libepc-ui-1.0
%{_pkgconfigdir}/libepc-ui-1.0.pc

%files ui-static
%defattr(644,root,root,755)
%{_libdir}/libepc-ui-1.0.a

%files apidocs
%defattr(644,root,root,755)
%{_gtkdocdir}/libepc-1.0

%files examples
%defattr(644,root,root,755)
%{_examplesdir}/%{name}-%{version}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: libepc.spec,v $
Revision 1.20  2012/02/01 12:12:40  megabajt
- updated to 0.4.4

Revision 1.19  2011/11/25 20:59:36  megabajt
- updated to 0.4.3

Revision 1.18  2011/10/13 15:14:43  wiget
- up to 0.4.2
- G_CONST_RETURN.patch included in this release

Revision 1.17  2011/09/30 20:58:02  wiget
- avoid using deprecated G_CONST_RETURN
- rel. 2

Revision 1.16  2011/09/30 19:43:15  wiget
- up to 0.4.1

Revision 1.15  2011/08/31 06:58:41  arekm
- release 2

Revision 1.14  2011/05/20 23:31:34  megabajt
- updated to 0.4.0 (new soname)

Revision 1.13  2011/02/05 23:25:55  wiget
- drop libtool file

Revision 1.12  2010/11/18 14:55:50  hawk
- release 2

Revision 1.11  2010/03/24 08:19:30  megabajt
- updated to 0.3.11

Revision 1.10  2010/02/17 14:14:05  megabajt
- release 2

Revision 1.9  2009/11/28 22:41:58  sparky
- BR: docbook-dtd412-xml

Revision 1.8  2009/05/28 20:32:21  megabajt
- updated to 0.3.10

Revision 1.7  2009/02/07 19:37:35  megabajt
- updated to 0.3.9

Revision 1.6  2008/11/09 13:51:11  megabajt
- release 2

Revision 1.5  2008/10/21 16:47:32  megabajt
- updated to 0.3.8 (new soname)

Revision 1.4  2008/10/20 13:17:51  megabajt
- updated to 0.3.7

Revision 1.3  2008/10/17 20:40:41  megabajt
- updated to 0.3.6

Revision 1.2  2008/04/14 16:12:15  megabajt
- updated to 0.3.5

Revision 1.1  2008-03-03 12:53:36  megabajt
- new
